\nonstopmode{}
\documentclass[a4paper]{book}
\usepackage[times,inconsolata,hyper]{Rd}
\usepackage{makeidx}
\usepackage[utf8]{inputenc} % @SET ENCODING@
% \usepackage{graphicx} % @USE GRAPHICX@
\makeindex{}
\begin{document}
\chapter*{}
\begin{center}
{\textbf{\huge Package `rHL7'}}
\par\bigskip{\large \today}
\end{center}
\begin{description}
\raggedright{}
\inputencoding{utf8}
\item[Type]\AsIs{Package}
\item[Title]\AsIs{Read ADT^A01, ADT^A02 and ADT^A06 HL7transactions and write
random Hl7 files}
\item[Version]\AsIs{0.1.1}
\item[Author]\AsIs{c(person(``Sai'', ``Veeranki'', email = ``sai.veeranki@gmail.com'', role = c(``aut'', ``cre'')))}
\item[Maintainer]\AsIs{Sai Veeranki }\email{sai.veeranki@gmail.com}\AsIs{}
\item[Description]\AsIs{More about what it does (maybe more than one line)
Use four spaces when indenting paragraphs within the Description.}
\item[License]\AsIs{LICENSE}
\item[Encoding]\AsIs{UTF-8}
\item[LazyData]\AsIs{true}
\item[Depends]\AsIs{R (>= 3.6.0)}
\item[Imports]\AsIs{randomNames, dplyr, matlab, lubridate, stringr, stringi}
\item[RoxygenNote]\AsIs{7.0.0}
\end{description}
\Rdcontents{\R{} topics documented:}
\inputencoding{utf8}
\HeaderA{extract\_content\_from\_hl7}{extract content from a hl7}{extract.Rul.content.Rul.from.Rul.hl7}
%
\begin{Description}\relax
This function will extract content of the hl7. However, the content will not have the lable of the elements
\end{Description}
%
\begin{Usage}
\begin{verbatim}
extract_content_from_hl7(file)
\end{verbatim}
\end{Usage}
%
\begin{Arguments}
\begin{ldescription}
\item[\code{file}] the path of the hl7 file
\end{ldescription}
\end{Arguments}
%
\begin{Value}
a list with headers and their corresponding elements
\end{Value}
\inputencoding{utf8}
\HeaderA{extract\_content\_from\_hl7\_files}{extract content from multiple hl7 files}{extract.Rul.content.Rul.from.Rul.hl7.Rul.files}
%
\begin{Description}\relax
This function will extract content of the hl7. However, the content will not have the lable of the elements
\end{Description}
%
\begin{Usage}
\begin{verbatim}
extract_content_from_hl7_files(files, location)
\end{verbatim}
\end{Usage}
%
\begin{Arguments}
\begin{ldescription}
\item[\code{files}] list of files

\item[\code{location}] the path of the hl7 files, in case of
\end{ldescription}
\end{Arguments}
%
\begin{Value}
a data.frame with headers and their corresponding elements with a sequence of column names, or NULL in case of no hl7 files
\end{Value}
\inputencoding{utf8}
\HeaderA{extract\_HL7}{Extracts information from hl7 file}{extract.Rul.HL7}
%
\begin{Description}\relax
extracts the data from hl7 file and return a data.frame with a set of defined column names.
\end{Description}
%
\begin{Usage}
\begin{verbatim}
extract_HL7(file)
\end{verbatim}
\end{Usage}
%
\begin{Arguments}
\begin{ldescription}
\item[\code{file}] is the path of the file
\end{ldescription}
\end{Arguments}
%
\begin{Value}
returns a data.frame with column names MANDT, PATID, PATNR, FALNR, LFDNR, BEWTY, BWART, TITLE,
VORNAME,NACHNAME, GEBDAT, GSCHL, FAMST, KLASSE, ORGPF, ORGFA, DATUM, UHRZEIT, HL7\_TYPE
\end{Value}
\inputencoding{utf8}
\HeaderA{get\_date\_time}{reads date and time}{get.Rul.date.Rul.time}
%
\begin{Description}\relax
splits the string into date and time.
\end{Description}
%
\begin{Usage}
\begin{verbatim}
get_date_time(str)
\end{verbatim}
\end{Usage}
%
\begin{Arguments}
\begin{ldescription}
\item[\code{str}] expects an date and time as a string in the format 
datetime <- '2010-02-13 10:30:00'
get\_date\_time(datetime)
\end{ldescription}
\end{Arguments}
\inputencoding{utf8}
\HeaderA{get\_EVN}{reading EVN header content}{get.Rul.EVN}
%
\begin{Description}\relax
reads the content of the header EVENT
\end{Description}
%
\begin{Usage}
\begin{verbatim}
get_EVN(data)
\end{verbatim}
\end{Usage}
%
\begin{Arguments}
\begin{ldescription}
\item[\code{data}] hl7 content
\end{ldescription}
\end{Arguments}
\inputencoding{utf8}
\HeaderA{get\_hl7\_data}{extracts the content of the hl7 file}{get.Rul.hl7.Rul.data}
%
\begin{Description}\relax
reads either file or just the content of the file and returns a list of headers. The input shall be either file or data.
\end{Description}
%
\begin{Usage}
\begin{verbatim}
get_hl7_data(file, data)
\end{verbatim}
\end{Usage}
%
\begin{Arguments}
\begin{ldescription}
\item[\code{file}] path of the hl7 file

\item[\code{data}] content of the hl7 file
\end{ldescription}
\end{Arguments}
\inputencoding{utf8}
\HeaderA{get\_hl7\_files}{gets all hl7 files from a path}{get.Rul.hl7.Rul.files}
%
\begin{Description}\relax
lists all the hl7 files in a location
\end{Description}
%
\begin{Usage}
\begin{verbatim}
get_hl7_files(files_location)
\end{verbatim}
\end{Usage}
%
\begin{Arguments}
\begin{ldescription}
\item[\code{files\_location}] the path where the hl7 files exists
\end{ldescription}
\end{Arguments}
\inputencoding{utf8}
\HeaderA{get\_hl7\_line}{get the details of the hl7 content based on the header}{get.Rul.hl7.Rul.line}
%
\begin{Description}\relax
get the details of the hl7 content based on the header
\end{Description}
%
\begin{Usage}
\begin{verbatim}
get_hl7_line(data, term)
\end{verbatim}
\end{Usage}
%
\begin{Arguments}
\begin{ldescription}
\item[\code{data}] hl7 content

\item[\code{term}] the header
\end{ldescription}
\end{Arguments}
\inputencoding{utf8}
\HeaderA{get\_MRG}{reading MRG header content}{get.Rul.MRG}
%
\begin{Description}\relax
reads the content of the header MRG
\end{Description}
%
\begin{Usage}
\begin{verbatim}
get_MRG(data)
\end{verbatim}
\end{Usage}
%
\begin{Arguments}
\begin{ldescription}
\item[\code{data}] hl7 content
\end{ldescription}
\end{Arguments}
\inputencoding{utf8}
\HeaderA{get\_MSH}{reading MSH header content}{get.Rul.MSH}
%
\begin{Description}\relax
reads the content of the header MSH
\end{Description}
%
\begin{Usage}
\begin{verbatim}
get_MSH(data)
\end{verbatim}
\end{Usage}
%
\begin{Arguments}
\begin{ldescription}
\item[\code{data}] hl7 content
\end{ldescription}
\end{Arguments}
\inputencoding{utf8}
\HeaderA{get\_PID}{Reads PID line from hl7}{get.Rul.PID}
\aliasA{Kumar}{get\_PID}{Kumar}
\aliasA{Pavan}{get\_PID}{Pavan}
\aliasA{Sai}{get\_PID}{Sai}
\aliasA{Veeranki}{get\_PID}{Veeranki}
%
\begin{Description}\relax
This function gets the data from PID line of HL7 file
\end{Description}
%
\begin{Usage}
\begin{verbatim}
get_PID(data)
\end{verbatim}
\end{Usage}
%
\begin{Arguments}
\begin{ldescription}
\item[\code{data}] text from hl7 file
\end{ldescription}
\end{Arguments}
%
\begin{Value}
a list with the elements from PID header
\end{Value}
\inputencoding{utf8}
\HeaderA{get\_PV1}{reading PV1 header content}{get.Rul.PV1}
%
\begin{Description}\relax
reads the content of the header PV1
\end{Description}
%
\begin{Usage}
\begin{verbatim}
get_PV1(data)
\end{verbatim}
\end{Usage}
%
\begin{Arguments}
\begin{ldescription}
\item[\code{data}] hl7 content
Charge price indicator to prior temporary lcoation are not being read
Current patient balance to total payments are not being read.
\end{ldescription}
\end{Arguments}
\inputencoding{utf8}
\HeaderA{get\_PV2}{reading PV2 header content}{get.Rul.PV2}
%
\begin{Description}\relax
reads the content of the header PV2
\end{Description}
%
\begin{Usage}
\begin{verbatim}
get_PV2(data)
\end{verbatim}
\end{Usage}
%
\begin{Arguments}
\begin{ldescription}
\item[\code{data}] hl7 content
\end{ldescription}
\end{Arguments}
\inputencoding{utf8}
\HeaderA{read\_hl7\_file}{reads date hl7 file}{read.Rul.hl7.Rul.file}
%
\begin{Description}\relax
reads date hl7 file
\end{Description}
%
\begin{Usage}
\begin{verbatim}
read_hl7_file(file)
\end{verbatim}
\end{Usage}
%
\begin{Arguments}
\begin{ldescription}
\item[\code{file}] path of the hl7 file

reads whole hl7 file and returns the content of it \#\#\#\#
\end{ldescription}
\end{Arguments}
\inputencoding{utf8}
\HeaderA{write\_evn}{Prepares EVENT with random information as a list}{write.Rul.evn}
%
\begin{Description}\relax
generates a list of lists, with evn that cotains the information
from EVN and the line as its should be written in the .hl7 file.
\end{Description}
%
\begin{Usage}
\begin{verbatim}
write_evn()
\end{verbatim}
\end{Usage}
%
\begin{Value}
returns a list of list
\end{Value}
\inputencoding{utf8}
\HeaderA{write\_hl7s}{writes hl7s with random data.}{write.Rul.hl7s}
%
\begin{Description}\relax
write\_hl7s function writes hl7 files with random data that generates
for A09 transactions. This function writes the headers MSH, EVENT, PID, PV1, PV2
\end{Description}
%
\begin{Usage}
\begin{verbatim}
write_hl7s(write_to_file = TRUE, nr_files, return = TRUE)
\end{verbatim}
\end{Usage}
%
\begin{Arguments}
\begin{ldescription}
\item[\code{write\_to\_file}] is a binary input TRUE/FALSE with TRUE as default, FALSE prints to screen

\item[\code{nr\_files}] is an integer greater than 0, if missing, function writes single file.

\item[\code{return}] is a binary input TRUE/FALSE. TRUE would deliver an input a list
\end{ldescription}
\end{Arguments}
%
\begin{Value}
returns a data.frame with hl7 data with a next line '\bsl{}n' as a seperator
\end{Value}
\inputencoding{utf8}
\HeaderA{write\_msh}{Prepares MSH with random information as a list}{write.Rul.msh}
%
\begin{Description}\relax
generates a list of lists, with msh that cotains the information
from MSH and the line as its should be written in the .hl7 file.
\end{Description}
%
\begin{Usage}
\begin{verbatim}
write_msh()
\end{verbatim}
\end{Usage}
%
\begin{Value}
returns a list of list
\end{Value}
\inputencoding{utf8}
\HeaderA{write\_pid}{Prepares PID with random information as a list}{write.Rul.pid}
%
\begin{Description}\relax
generates a list of lists, with pid that cotains the information
from PID and the line as its should be written in the .hl7 file.
\end{Description}
%
\begin{Usage}
\begin{verbatim}
write_pid()
\end{verbatim}
\end{Usage}
%
\begin{Value}
returns a list of list
\end{Value}
\inputencoding{utf8}
\HeaderA{write\_pv1}{Prepares PV1 with random information as a list}{write.Rul.pv1}
%
\begin{Description}\relax
generates a list of lists, with pv1 that cotains the information
from PV1 and the line as its should be written in the .hl7 file.
\end{Description}
%
\begin{Usage}
\begin{verbatim}
write_pv1()
\end{verbatim}
\end{Usage}
%
\begin{Value}
returns a list of list
\end{Value}
\inputencoding{utf8}
\HeaderA{write\_pv2}{Prepares PV2 with random information as a list}{write.Rul.pv2}
%
\begin{Description}\relax
generates a list of lists, with pv2 that cotains the information
from PV2 and the line as its should be written in the .hl7 file.
\end{Description}
%
\begin{Usage}
\begin{verbatim}
write_pv2()
\end{verbatim}
\end{Usage}
%
\begin{Value}
returns a list of list
\end{Value}
\printindex{}
\end{document}
